Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXML.ReferenceRep

    java.lang.Object
      igeo.io.I3DXML.I3DXMLNode
          igeo.io.I3DXML.ReferenceRep

Enclosing class:
  I3DXML

    public static class I3DXML.ReferenceRep

extends I3DXML.I3DXMLNode

Nested Class Summary
`static class` | `I3DXML.ReferenceRep.FormatType`

Field Summary
`java.lang.String` | `associatedFile`
`java.lang.String` | `associatedURN`
`I3DXML.ReferenceRep.FormatType` | `format`
`java.util.ArrayList<I3DXML.I3DXMLNode>` | `instanceReps`
`I3DXML.RepresentationDocument` | `representationDocument`

Fields inherited from class igeo.io.I3DXML.I3DXMLNode
`id, name, nameDelimiter`

Constructor Summary
`I3DXML.ReferenceRep()`
`I3DXML.ReferenceRep(int id)`
`I3DXML.ReferenceRep(int id, java.lang.String name)`

Method Summary
`void` | `addInstance(I3DXML.InstanceRep instanceR)`
`java.util.ArrayList<IGeometry>` | `instantiate(IMatrix4 transform)`
`java.util.ArrayList<IMesh>` | `instantiatePolygon(IMatrix4 transform)`
`java.util.ArrayList<ICurve>` | `instantiatePolyline(IMatrix4 transform)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceReps

    public java.util.ArrayList<I3DXML.I3DXMLNode> instanceReps

### format

    public I3DXML.ReferenceRep.FormatType format

### associatedFile

    public java.lang.String associatedFile

### associatedURN

    public java.lang.String associatedURN

### representationDocument

    public I3DXML.RepresentationDocument representationDocument

Constructor Detail

### I3DXML.ReferenceRep

    public I3DXML.ReferenceRep()

### I3DXML.ReferenceRep

    public I3DXML.ReferenceRep(int id)

### I3DXML.ReferenceRep

    public I3DXML.ReferenceRep(int id,
                               java.lang.String name)

Method Detail

### addInstance

    public void addInstance(I3DXML.InstanceRep instanceR)

### instantiatePolygon

    public java.util.ArrayList<IMesh> instantiatePolygon(IMatrix4 transform)

### instantiatePolyline

    public java.util.ArrayList<ICurve> instantiatePolyline(IMatrix4 transform)

### instantiate

    public java.util.ArrayList<IGeometry> instantiate(IMatrix4 transform)

  Overrides:
    `instantiate` in class `I3DXML.I3DXMLNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD